Subject: Re: [Tsvwg] General queries on sctp

From: "Armando L. Caro Jr." <[email-masked]>
Date: Wed, 5 Dec 2001 00:44:45 -0500 (EST)

On Tue, 4 Dec 2001, Mohammed  P.A Ashraf  wrote:

> I have some basic queries from sctp.Could some one pls calrify my queries
>
> 1. In a multihomed host, is it possble for two different applications(on same machine)with same port number and using IP addresse to make an
> association to tha same destination end point.
> for e.g suppsoe HOST A wants to make an association with HOST b(ip address IP1 and port x)
> Is thi scenario a valid one:
> First association:
> Host A                            Host B
>  (IPA1,port Ay)       ------        IpB1 and port Bx)
>
> second one:
> Host A                            Host B
>  (IPA2,port Ay)       ------        IpB1 and port Bx)
> I think as per def. and requirement for an association, this is a pefect scenario, but in this case trasport layer to route/demux the
> messages to the upper layer has to look into Ipaddress as well as port(which is not the case in UDP or TCP)

I suppose it is ok as long as you handle the demux problem you mentioned,
but WHY do you want to do this? Why not just have a separate association
for each application?

> 2. Should the packet be discared if we get a INIT /INIT-ACK with
>       a) multiple host name

I don't THINK this is a problem.

>       b) host name with ipv4 and ipv6 addresses( in this case should the packet be discarded or or ignore ipv4/ipv6 and take up host name)

You can mix and match address types, but if the hostname is present
the addresses are ignored.

> 3. In case retransmission timer  times out (say dur ROTO isT secs), do we need to tramist all the earliest outstanding TSNs to that dest addresee..
>    OR only those, which was tranmissted exaclty T secs earlier?
>  for e.g: if tranmit TSN 13 at T1 time, TSN14 at T2 secs. SO at T1 i might at started a timer( that being the first one). if that times out
>  do i ned to transmit both TSN13 and TSN14 (or just TSN13)..

Assuming that there is only one timer, all those outstanding are
retransmitted after a timeout.

~armando

0--                                                --0
| Armando L. Caro Jr.     |       [email-masked] |
| University of Delaware  |  www.cis.udel.edu/~acaro |
0--                                                --0

_______________________________________________
tsvwg mailing list
[email-masked]
http://www1.ietf.org/mailman/listinfo/tsvwg